package javax.sql;

import java.sql.SQLException;
import java.sql.Connection;

public interface PooledConnection
{
    public abstract Connection getConnection() throws SQLException;
    
    public abstract void close() throws SQLException;
    
    public abstract void addConnectionEventListener(ConnectionEventListener p0);
    
    public abstract void removeConnectionEventListener(ConnectionEventListener p0);
    
    public abstract void addStatementEventListener(StatementEventListener p0);
    
    public abstract void removeStatementEventListener(StatementEventListener p0);
}
